/*
        ALL CSS-FILES MUST BE REGISTRED IN THE 
        INSTANCE-CONFIG-FILE FOR THAT INSTANCE OF ODEN3.
        For each instance, we can have up to four css-files for the
        cda side and four css-files for the cms (admin) side. 
        (SL 19-12-20)
*/

body  {font-size: 0.7em; font-family: Verdana, Arial, Helvetica, sans-serif; }
h2 {color:black; font-size: 1.8em}
h3 {color:black; font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 1.6em; font-weight: normal; margin-top: 0.5em; margin-bottom: 0.5em;}
/* Dark blue color */
h4 {color: #005193; font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 11px; margin-top: 0.5em; margin-bottom: 0.5em;}
h5 {font-family: Verdana, Arial, Helvetica, sans-serif; font-weight: normal; font-size: 1em; margin-top: 0.5em; margin-bottom: 0.5em;}
p {font-family: verdana, geneva, sans-serif; margin-bottom: 1em;}

td {font-family: verdana, geneva, sans-serif; font-size: 1em; height: 22px}
th {font-family: verdana, geneva, sans-serif; font-size: 1em; height: 22px}

input {font-family: verdana, geneva, sans-serif; font-size: 1em}
select {font-family: verdana, geneva, sans-serif; font-size: 1em; width: 200px}
textarea {font-family: verdana, geneva, sans-serif; font-size: 1em;}

a.listSortCol { text-decoration: none; font-size: 1em;}
a.listSortCol:link { color: rgb(0, 0, 0) }  		/* for unvisited links */
a.listSortCol:visited { color: rgb(0, 0, 96) } 		/* for visited links */
a.listSortCol:active { color: rgb(0, 0, 96) } 		/* when link is clicked */
a.listSortCol:hover { color: rgb(0, 96, 0); font-weight: bold; } 		/* when mouse is over link */

a.listRow { text-decoration: none; font-size: 1em;}
a.listRow:link { color: rgb(0, 0, 0) }  			/* for unvisited links */
a.listRow:visited { color: rgb(0, 0, 0) } 			/* for visited links */
a.listRow:active { color: rgb(0, 0, 96) } 			/* when link is clicked */
a.listRow:hover { color: rgb(0, 0, 96); font-weight: bold; } 			/* when mouse is over link */

a.iNoteHeader { text-decoration: none; font-size: 11px;}
a.iNoteHeader:link { color: rgb(0, 0, 0) }  			/* for unvisited links */
a.iNoteHeader:visited { color: rgb(0, 0, 0) } 			/* for visited links */
a.iNoteHeader:active { color: rgb(0, 0, 255) } 			/* when link is clicked */
a.iNoteHeader:hover { color: rgb(0, 0, 255) } /* when mouse is over link */

td.main_area {padding-right: 10px; padding-left: 10px; background-color:#F5F5F5; width: 90%}
textarea.main_area {background-color:#F0F0F0}  /* Same background color as td.main_area */
td.left_area {padding-right: 5px; padding-left: 5px; color:black; font-weight:bold; background-color:#DCDCDC; white-space: nowrap}
td.main_table {padding-right: 0px; padding-left: 0px; background-color:#F5F5F5}
td.change_trace_table {padding-right: 3px; font-size: 0.6em; white-space: nowrap; height: 18px}

/* -- Background colors for pages and menu items expressed as classes -- */

.bgColorApplication {background-color: #f5f5f5;}
/* Not used on the cda side
.bgColorAssessment {background-color: #f6f1ee;}
.bgColorDecision {background-color: #eef1f6;}
*/
.bgColorEndReport {background-color: #fffeef;}
/* Not used on the cda side.
.bgColorEndReportAssessment {background-color: #f0fff0;}
.bgColorEndReportDecision {background-color: #f0fff0;}
*/
.bgColorWhite {background-color: #ffffff;}

 /* Application form header table */
table.appFormTableHeader {
    border-collapse: collapse;
    border: thin solid;
    border-color: #CCCCCC;
    width: 100%;  /* was 712px */
}
/* Application form main table */
table.appFormTable {
    border-collapse: collapse;
    border: thin solid;
    border-color: #CCCCCC;
    width: 100%;  /* was 712px */
}   
/* Oden application form left side blocks */
td.form_left_block {
    border: thin solid;
    border-color: #CCCCCC;
    width: 416px;
    vertical-align: top;
    padding: 5px;
}
/* Oden end report form left side blocks */
td.er_form_left_block {
    border: thin solid;
    border-color: #CCCCCC;
    width: 416px;
    vertical-align: top;
    padding: 10px;
}
/* Oden application form right side blocks */
td.form_right_block {
    border: thin solid;
    border-color: #CCCCCC;
    /* width: 260px; */
    vertical-align: top;
    padding: 5px;
    background-color: #FFFFFF;
}
/* Oden End-report td when we want a single column (no right_block) */
td.er_form_left_block_2_col {
    border: thin solid;
    border-color: #CCCCCC;
    width: 692px;               /* 712px - 2*10 for the padding */
    vertical-align: top;
    padding: 10px;
}

.thin_gray {border-collapse: collapse }
.thin_gray td {border: thin solid; border-color: #CCCCCC }

td.top_menu {color: #000000; 
            font-family: Verdana, Arial, Helvetica; 
            text-decoration: none; 
            font-size: 11px;
            font-weight: bold; }
a.top_menu {color: #000000; 
            font-family: Verdana, Arial, Helvetica; 
            text-decoration: none; 
            font-size: 11px;
            font-weight: bold; }
a.top_menu:hover { color: rgb(0, 96, 255) } /* when mouse is over link */

a.plain { text-decoration: none; font-size: 1em;}
a.plain:link { color: rgb(0, 0, 96) }  /* for unvisited links */
a.plain:visited { color: rgb(0, 0, 96) } /* for visited links */
a.plain:active { color: rgb(0, 0, 96) } /* when link is clicked */
a.plain:hover { color: rgb(0, 96, 255) } /* when mouse is over link */

/* For error messages generated by struts actions and action forms */
.strutsErrorMsg         {   font-family: Verdana, Arial, Helvetica; 
                            color: red; 
                            font-size: 11px;
                            font-weight: bold; 
                            padding: 5px 0px 5px 0px; 
                        }
.strutsErrorMsg ul      {   margin: 5px 0px 0px 0px;
                            padding: 0px 0px 0px 0px; 
                            list-style: square outside;
                        }
.strutsErrorMsg ul li	{   margin: 0px 0px 0px 16px; 
                            padding: 0px 0px 0px 0px; 
                            color: black;
                            font-weight: normal;  
                        }

.prev_rai_master_msg    {   font-style: italic;  }

.right_block_table      {   border-collapse: collapse; 
                            border: thin solid;
                            border-color: #CCCCCC; }
.right_block_table td   {   padding-left: 5px; 
                            border: thin solid; 
                            border-color: #CCCCCC; }
.right_block_spacer_div {   margin-top: 0;
                            margin-left: 0;
                            margin-right: 0;
                            margin-bottom: 5px;
                            padding: 0; }
/* For tables where we have a checkbox in the first column and a text (possible multi-line) in the next */
.form_check_box_table tr th { vertical-align: top; }        /* Checkbox in the th */
.form_check_box_table tr td { vertical-align: top; padding-top: 4px; padding-left: 2px; }  /* Text in the td */
/* For tables where we have a radio button in the first column and a text (possible multi-line) in the next */
.form_radio_table tr th { vertical-align: top; }        /* Radio button in the th */
.form_radio_table tr td { vertical-align: top; padding-top: 4px; padding-left: 2px; }  /* Text in the td */

/* Footer at the bottom of the public pages */
div.footer {
    padding-top: 10px;
    padding-left: 15px;
    padding-bottom: 15px;
    color: #666;
    margin: 0;
    clear: both;
    width: 48.36em;
}
div.footer a {
    color: #666;
}